#include <iostream>
using namespace std;
int main()
{
    int n, k, i,j, mini = 200000;
    cin >> n >> k;
    string s;
    int c[k] = {0};
    cin >> s;
    for(i = 0; i < n; i++) {
        c[s[i]-97]++;
        for(j = 0; j < k; j++) {
            if(c[j] < mini){
                mini = c[j];
            }
        }
        cout << mini+1 << " ";
        mini = 200000;
    }
    return 0;
}